
var fruitDragX = 0, fruitDragY = 0, dropFruit = false;


function InitializeInput() {
	//mouse input
	window.addEventListener("mousedown", function(e) {
		fruitDragX = e.clientX;
		fruitDragY = e.clientY;
		dropFruit = true;
	});
	window.addEventListener("mouseup", function(e) {
		dropFruit = false;
	});
	window.addEventListener("mousemove", function(e) {
		fruitDragX = e.clientX;
		fruitDragY = e.clientY;
	});
	
	
	//touch input
	window.addEventListener("touchstart",function(e) {
		if (!(document.fullscreenElement || document.webkitFullscreenElement)) {//set mobile to fullscreen
			if (document.body.requestFullscreen) document.body.requestFullscreen();
			else if (document.body.webkitRequestFullscreen) document.body.webkitRequestFullscreen();
		}
		
		var tch = e.changedTouches[0];
		fruitDragX = tch.clientX;
		fruitDragY = tch.clientY;
		dropFruit = false;
	});
	window.addEventListener("touchmove",function(e) {
		var tch = e.changedTouches[0];
		fruitDragX = tch.clientX;
		fruitDragY = tch.clientY;
	});
	window.addEventListener("touchend",function(e) {
		var tch = e.changedTouches[0];
		fruitDragX = tch.clientX;
		fruitDragY = tch.clientY;
		dropFruit = true;
	});
	window.addEventListener("touchcancel",function(e) {
		var tch = e.changedTouches[0];
		fruitDragX = tch.clientX;
		fruitDragY = tch.clientY;
		dropFruit = true;
	});
}
